Subject: Re: issues with js2-mode faces

From: Steve Yegge <[email-masked]>
Date: Tue, 11 Aug 2009 22:50:59 -0700

On Sun, Aug 9, 2009 at 11:00 AM, Dan Nicolaescu <[email-masked]> wrote:

>
> js2-mode uses -face suffix for faces.
>
> We are not using this suffix anymore and the tree has been cleaned up of
> such with backward compatibility code added.  This is new code, so
> there's little point in having the suffix...
>

Agree; I'll fix it.  The docs (info pages) are incorrect on a relevant
point,
incidentally; they claim that defining variables whose value is set to the
face of the same name is popular but obsolete; the reality is that
font-lock-add-keywords requires the variable definitions.

>
> Also, instead of defining a new js2-error-face why not just use
> font-lock-warning-face?
>

Why not just define a font-lock-error-face instead?  Other modes
(such as compilation) define their own error faces.  Fix it in Emacs
and the modes will follow.

-steve